Bug 838804 - rhc-port-forward is stopped incorrectly after accessing forwarded httpd link from browser against scaled app
rhc-port-forward is stopped incorrectly after accessing forwarded httpd link ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 04:04 EDT by joycezhang
Modified: 2015-05-14 22:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-07-10 04:04:39 EDT
Description of problem:
port forward is terminated automatically once accessing the forwarded httpd link (127.1.2.1:8080) from browser during rhc-port-forward process for scaling  app.

Please refer to following error message:
Submitting form:
rhlogin: jinzhang+6@redhat.com
debug: true
Contacting https://ec2-174-129-45-78.compute-1.amazonaws.com
Checking available ports...
Using bb2607ae1e6e4766b001222126dad9a8@php6-mydm1.dev.rhcloud.com...
Using 27f437ca0715481797743e4c97fc5440@php6-mydm1.dev.rhcloud.com (scaled instance)...

Binding haproxy -> 127.1.2.129:8080...
Binding haproxy -> 127.1.2.130:8080...
Binding httpd -> 127.1.2.1:8080...
Use ctl + c to stop

closed stream
Error trying to forward ports. You can try to forward manually by running:

ssh -N -L 127.1.2.129:8080:127.1.2.129:8080 -L 127.1.2.130:8080:127.1.2.130:8080 -L 127.1.2.1:8080:127.1.2.1:8080 bb2607ae1e6e4766b001222126dad9a8@php6-mydm1.dev.rhcloud.com


Version-Release number of selected component (if applicable):
devenv_1882
rhc_0.95.11
ruby_1.9.3
Fedora 15/17/ RHL6.3

How reproducible:
Always

Steps to Reproduce:
1. Create a scaled app
#rhc app create -a php1 -t php-5.3 -l test@redhat.com -p *** -s
2.#rhc-port-forward -a php1 -d
3. Try to open the link with returned port,like 127.1.2.1:8080.

Actual results:
Web page is not shown (The connection to the server was reset while the page was loading.), and error is displayed from command line after accessing from browser.


Expected results:
Web page can be displayed correcty, and no error displayed from command line.

Additonal info:
It works well with non-scaling app.
Comment 1 joycezhang 2012-09-05 02:16:47 EDT
Mark this bug QN_QA as the design has been changed, scalable app can't support rhc port forward.
Comment 2 joycezhang 2012-09-05 02:18:30 EDT
The resonable message are shown as below when performing rhc port forward for scalble app. So make it as verified. Thanks.

OpenShiftmatoMacBook-Pro:joyce root# rhc port-forward -a myscapp1
Password: ******


This utility does not currently support scaled applications.
You will need to set up port forwarding manually.

Note You need to log in before you can comment on or make changes to this bug.